type t = (Definitions.symbol, int) Hashtbl.t
exception Symbol_not_in_alphabet
exception Multiply_defined_symbol
val empty : unit -> t
val add : Definitions.symbol -> int -> t -> unit
val arity : Definitions.symbol -> t -> int
val mem : 'a -> ('a, 'b) Hashtbl.t -> bool
val card : ('a, 'b) Hashtbl2.t -> int
val to_list : ('a, 'b) Hashtbl.t -> ('a * 'b) list
val to_string : (string, int) Hashtbl.t -> string
