type term =
    Var of Definitions.variable
  | Fsym of Definitions.symbol * term list
  | State of Definitions.state
type t = term
val is_state : term -> bool
exception Not_a_state
val get_state : term -> Definitions.state
val to_string : term -> Definitions.symbol
val list_to_string : term list -> string
val height : term -> int
val vars : term -> Definitions.variable list
exception Non_linear
val non_linearity_checking : term -> unit
val pTerm_to_term : Global.pTerm -> term
