(* vieux trucs
type automaton_irr = {a: Automaton.automaton; joker: Definitions.state; absorbant: Definitions.state}
exception Configuration_not_recognised of Term.term
exception Automaton_is_not_deterministic of Term.term
val det_run_ja : automaton_irr ->  Term.term -> Term.term*)


	
type airr_prod = {
	prod: Automaton.Produit.produit;
	airr :Automaton.automaton;
	correspondants_q : (Definitions.state, Definitions.Stateset.t) Hashtbl.t;
}



val init_airr_prod : Automaton.automaton -> Automaton.automaton -> airr_prod
val add_symtrans : airr_prod -> Transitions.external_symtrans -> unit
val add_Rtrans : airr_prod -> Transitions.external_epsilon -> unit	
val add_Etrans : airr_prod -> (Definitions.state * Definitions.state) -> unit	

type epsi_is_e_or_r = E | R;;

val add_translist : airr_prod -> Transitions.external_trans list -> epsi_is_e_or_r -> unit

val recognises_normal_forms_q : airr_prod -> Term.term -> bool


val make_does_not_contain_normal_forms : airr_prod -> (Term.term -> bool)

val inter_nf : Automaton.automaton -> Automaton.automaton -> Automaton.automaton
