type condition =
    Equal of (Term.term * Term.term)
  | Joinable of (Term.term * Term.term)
exception IncriminatedCondition of condition
val pcondition_to_condition : Global.pCondition -> condition
type rule = Term.term * Term.term * condition list
type trs = rule list
exception InclusionTestFailed of string
exception NotHandledYet of string
exception RecapError of string
val rule_to_string : rule -> string
val to_string : trs -> string
val variables_inclusion_test : Term.term -> Term.term -> bool
val vars : rule -> Definitions.variable list
val vars_trs : rule list -> Definitions.variable list
val variables_inclusion_test_for_cond :
  condition list -> Definitions.variable list -> unit
val rule_shallow : rule -> bool
val shallow : trs -> bool
val trs_from_parser_format : Global.pRule list -> trs
val subst_apply : Substitution.substitution -> Term.term -> Term.term
val substset_apply :
  Substitution.substitutionset -> Term.term -> (Term.term * Formula.t) list
